Bug 189999 - updated glibc reports 'double free or corruption'
updated glibc reports 'double free or corruption'
Status: CLOSED DUPLICATE of bug 190002
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-26 11:28 EDT by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 10:51:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-04-26 11:28:50 EDT
hades /home/dwmw2 $ su
Password:
*** glibc detected *** su: double free or corruption (fasttop): 0x088740a0 ***
======= Backtrace: =========
/lib/libc.so.6[0x1c88ae]
/lib/libc.so.6(__libc_free+0x70)[0x1cbaf0]
/lib/libc.so.6(freeaddrinfo+0x2f)[0x20f3fb]
/usr/lib/libkrb5.so.3(krb5int_free_addrlist+0x43)[0xe2faf3]
/usr/lib/libkrb5.so.3(krb5_sendto_kdc+0x1e0)[0xe323f0]
/usr/lib/libkrb5.so.3[0xe149bf]
/usr/lib/libkrb5.so.3(krb5_get_init_creds+0x61e)[0xe156ee]
/usr/lib/libkrb5.so.3(krb5_get_init_creds_password+0x174)[0xe16f94]
/lib/security/../../lib/security/pam_krb5.so[0x970587]
/lib/security/../../lib/security/pam_krb5.so(pam_sm_authenticate+0x5ce)[0x9690be]
/lib/libpam.so.0(_pam_dispatch+0x28f)[0x3b099f]
/lib/libpam.so.0(pam_authenticate+0x51)[0x3b01e1]
su(main+0x347)[0xda6967]
/lib/libc.so.6(__libc_start_main+0xc6)[0x17e86e]
su[0xda5981]
======= Memory map: ========
00111000-00116000 r-xp 00000000 03:03 1490431    /lib/libcrypt-2.4.90.so
00116000-00117000 r-xp 00004000 03:03 1490431    /lib/libcrypt-2.4.90.so
00117000-00118000 rwxp 00005000 03:03 1490431    /lib/libcrypt-2.4.90.so
00118000-0013f000 rwxp 00118000 00:00 0
0013f000-00141000 r-xp 00000000 03:03 1490433    /lib/libdl-2.4.90.so
00141000-00142000 r-xp 00001000 03:03 1490433    /lib/libdl-2.4.90.so
00142000-00143000 rwxp 00002000 03:03 1490433    /lib/libdl-2.4.90.so
00143000-00157000 r-xp 00000000 03:03 1490786    /lib/libselinux.so.1
00157000-00159000 rwxp 00013000 03:03 1490786    /lib/libselinux.so.1
00159000-0015c000 r-xp 00000000 03:03 1799071    /lib/security/pam_env.so
0015c000-0015d000 rwxp 00002000 03:03 1799071    /lib/security/pam_env.so
0015d000-00160000 r-xp 00000000 03:03 1717921    /usr/lib/libkrb5support.so.0.0
00160000-00161000 rwxp 00002000 03:03 1717921    /usr/lib/libkrb5support.so.0.0
00161000-00164000 r-xp 00000000 03:03 1799413    /lib/security/pam_limits.so
00164000-00165000 rwxp 00002000 03:03 1799413    /lib/security/pam_limits.so
00165000-00168000 r-xp 00000000 03:03 1799448    /lib/security/pam_xauth.so
00168000-00169000 rwxp 00002000 03:03 1799448    /lib/security/pam_xauth.so
00169000-00289000 r-xp 00000000 03:03 1490427    /lib/libc-2.4.90.so
00289000-0028c000 r-xp 0011f000 03:03 1490427    /lib/libc-2.4.90.so
0028c000-0028d000 rwxp 00122000 03:03 1490427    /lib/libc-2.4.90.so
0028d000-00290000 rwxp 0028d000 00:00 0
00290000-0029b000 r-xp 00000000 03:03 1488209    /lib/libgcc_s-4.1.0-20060304.so.1
0029b000-0029c000 rwxp 0000a000 03:03 1488209    /lib/libgcc_s-4.1.0-20060304.so.1
00358000-00368000 r-xp 00000000 03:03 1490438    /lib/libnsl-2.4.90.so
00368000-00369000 r-xp 0000f000 03:03 1490438    /lib/libnsl-2.4.90.so
00369000-0036a000 rwxp 00010000 03:03 1490438    /lib/libnsl-2.4.90.so
0036a000-0036c000 rwxp 0036a000 00:00 0
003ae000-003ba000 r-xp 00000000 03:03 1490701    /lib/libpam.so.0.81.2
003ba000-003bb000 rwxp 0000b000 03:03 1490701    /lib/libpam.so.0.81.2
00473000-00474000 r-xp 00000000 03:03 1799874    /lib/security/pam_rootok.so
00474000-00475000 rwxp 00000000 03:03 1799874    /lib/security/pam_rootok.so
004e0000-004eb000 r-xp 00000000 03:03 1800316    /lib/security/pam_unix.so
004eb000-004ec000 rwxp 0000b000 03:03 1800316    /lib/security/pam_unix.so
004ec000-004f8000 rwxp 004ec000 00:00 0
00599000-0059b000 r-xp 00000000 03:03 1488339    /lib/libcom_err.so.2.1
0059b000-0059c000 rwxp 00001000 03:03 1488339    /lib/libcom_err.so.2.1
005cc000-005cf000 r-xp 00000000 03:03 1719335    /usr/lib/libdes425.so.3.0
005cf000-005d0000 rwxp 00002000 03:03 1719335    /usr/lib/libdes425.so.3.0
005ef000-005f2000 r-xp 00000000 03:03 1488064    /lib/libsetrans.so.0
005f2000-005f3000 rwxp 00002000 03:03 1488064    /lib/libsetrans.so.0
00896000-008a4000 r-xp 00000000 03:03 1490459    /lib/libresolv-2.4.90.so
008a4000-008a5000 r-xp 0000d000 03:03 1490459    /lib/libresolv-2.4.90.so
008a5000-008a6000 rwxp 0000e000 03:03 1490459    /lib/libresolv-2.4.90.so
008a6000-008a8000 rwxp 008a6000 00:00 0
008ad000-008e5000 r-xp 00000000 03:03 1490474    /lib/libsepol.so.1
008e5000-008e6000 rwxp 00037000 03:03 14904Aborted

This (i686) machine has rawhide glibc (glibc-2.4.90-1) installed to work around
bug #188364
Comment 1 David Woodhouse 2006-04-26 11:41:58 EDT
$ kinit
*** glibc detected *** kinit: double free or corruption (fasttop): 0x099e48b8 ***
======= Backtrace: =========
/lib/libc.so.6[0x2598ae]
/lib/libc.so.6(__libc_free+0x70)[0x25caf0]
/lib/libc.so.6(freeaddrinfo+0x2f)[0x2a03fb]
/usr/lib/libkrb5.so.3(krb5int_free_addrlist+0x43)[0x76daf3]
/usr/lib/libkrb5.so.3(krb5_sendto_kdc+0x1e0)[0x7703f0]
/usr/lib/libkrb5.so.3[0x7529bf]
/usr/lib/libkrb5.so.3(krb5_get_init_creds+0x61e)[0x7536ee]
/usr/lib/libkrb5.so.3(krb5_get_init_creds_password+0x174)[0x754f94]
kinit(main+0xdbc)[0x4a7f6c]
/lib/libc.so.6(__libc_start_main+0xc6)[0x20f86e]
kinit[0x4a6961]
======= Memory map: ========
Comment 2 David Woodhouse 2006-04-26 12:26:25 EDT
These go away if I revert to FC5's glibc-2.4-4.
Comment 3 Nalin Dahyabhai 2006-04-26 13:39:03 EDT
This may be related to bug #190003.
Comment 4 Nalin Dahyabhai 2006-04-27 08:31:31 EDT
Can you retry with today's glibc (2.4.90-2)?  It fixes bug #190002, which may be
this bug as well.
Comment 5 David Woodhouse 2006-04-27 10:50:04 EDT
yes, it works. thanks.
Comment 6 Nalin Dahyabhai 2006-04-27 11:14:41 EDT

*** This bug has been marked as a duplicate of 190002 ***

Note You need to log in before you can comment on or make changes to this bug.